<span>
  <i ng-mousedown="node.toggle(tree.updateSunburst, tree.textQuery)" class="fa-li fa node-toggle-icon" 
     ng-class="{'fa-plus-square-o': !node.expanded && !node.isLeaf() && !node.expansionIsLoading, 
         'fa-minus-square-o': node.expanded && !node.isLeaf() && !node.expansionIsLoading,
         'fa-square-o': node.isLeaf() && !node.expansionIsLoading,
         'fa-spinner fa-pulse': node.expansionIsLoading}"></i>
  <span class="no-text-select node-label" ng-mousedown="node.toggleSelect();tree.treeNodeClicked()" 
        ng-class="{'selected': node.selected, 'partially-selected': node.partiallySelected}">
    <span class="rank {{::node.getRankLabel().charAt(0).toLowerCase()}}" title="{{::node.getRankLabel()}}">{{::node.getRankLabel().charAt(0)}}</span>
    <i class="fa fa-eye" ng-if="node.selected || node.partiallySelected || !tree.root.partiallySelected" ng-class="{'selected-node-i': node.selected, 'partially-selected-node-i': node.partiallySelected}"></i>
    <i class="fa fa-eye-slash not-selected-node-i" ng-if="(!node.selected && !node.partiallySelected) && tree.root.partiallySelected"></i>
    {{::node.label}}
    <small style="margin-left: 3px;">
      (<i ng-show="node.countIsUpdating" class="fa fa-spinner fa-pulse"></i><span ng-show="!node.countIsUpdating">
        <span ng-show="!tree.showPercentages">{{node.count | number}}</span>
        <span ng-show="tree.showPercentages">{{node.count / tree.root.getChildrenCountSum() * 100 | number | limitTo:5}}%</span>
      </span>)
    </small>
  </span>
  <span class="node-sort-toggle no-text-select" ng-mousedown="node.toggleSort(tree.updateSunburst, tree.textQuery)" ng-show="node.expanded && node.loaded && !node.isLeaf()">
    <i class="fa fa-sort-numeric-desc" ng-class="{'toggle-option-off': node.sortByLabel, 'toggle-option-on': !node.sortByLabel}"></i>
    <i class="fa fa-sort-alpha-asc" ng-class="{'toggle-option-off': !node.sortByLabel, 'toggle-option-on': node.sortByLabel}"></i>
  </span>
</span>
<ul class="fa-ul" ng-show="node.expanded">
  <li ng-repeat="node in node.children" ng-include="'components/PhyloTree/phylo-tree.node.html'"></li>
</ul>